eth_getBlockByHash
Reference: Here
Parameters
params: [
"0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae",
false,
]Returns
Last updated
Was this helpful?
Was this helpful?
// Result
{
"jsonrpc": "2.0",
"result": {
"author": "0x1e3b4ab1d17a5e233949f64bfb15d2dc27337f8d",
"baseFeePerGas": "0x4a817c800",
"difficulty": "0x1ec82a1e937",
"extraData": "0x",
"gasLimit": "0x3938700",
"gasUsed": "0x0",
"hash": "0xf6e5d0e39d2c922c6772abba968eec0dbf2d82d7d26ec2342fb11fb7c5118548",
...
}curl https://mainnet.conflux.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_getBlockByHash","params":["0xf6e5d0e39d2c922c6772abba968eec0dbf2d82d7d26ec2342fb11fb7c5118548", false],"id":1}'
curl https://testnet.conflux.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_getBlockByHash","params":["0xb4e54eb9c573ebd122be4aa4625082c414d16355bab67647dd9668c9389fb527", false],"id":1}'